package gov.va.med.esr.common.model.report;

import gov.va.med.esr.common.model.lookup.ReportEligibilityFactorLU;
import gov.va.med.fw.model.lookup.Lookup;

import org.apache.commons.lang.Validate;

public class ReportEligibilityFactor extends BaseReportLookupParameter {

	private static final long serialVersionUID = -930926104740173937L;
	
	public void setLookup(Lookup lookup) {
		Validate.isTrue(lookup instanceof ReportEligibilityFactorLU,"Incorrect lookup type.");
		super.setLookup(lookup);
	}
	
	public ReportEligibilityFactorLU getReportEligibilityFactorLU() {
		return (ReportEligibilityFactorLU)getLookup();
	}
	
	public void setReportEligibilityFactorLU(ReportEligibilityFactorLU pReportEligibilityFactorLU) {
		setLookup(pReportEligibilityFactorLU);
	}

}
